naist-jdic (1:0.4.3-21) unstable; urgency=medium

  * debian/control
    - drop debhelper and use debhelper-compat (= 12)
    - set Standards-Version: 4.5.0
    - add Rules-Requires-Root: no
  * debian/copyright
    - use https for copyright format version url
  * add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Sun, 23 Feb 2020 18:27:09 +0900

naist-jdic (1:0.4.3-20) unstable; urgency=medium

  * debian/control
    - revert maintainer address
    - set Standards-Version: 4.2.1
    - use "Build-Depends: debhelper-compat", not debian/compat
  * debian/compat
    - drop it

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Dec 2018 18:02:13 +0900

naist-jdic (1:0.4.3-19) unstable; urgency=medium

  * debian/control
    - fix maintainer email address
    - set Standards-Version: 4.1.5

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 24 Jul 2018 16:37:00 +0900

naist-jdic (1:0.4.3-18) unstable; urgency=medium

  * use dh11
  * debian/control
    - set Standards-Version: 4.1.4
    - set Maintainer: <team+pkg-nlp-ja@tracker.debian.org>
    - update Vcs-* to salsa.debian.org
  * debian/watch
    - update to deal with upstream site's change
  * use debian revision -18 to avoid lintian warning
    "latest-debian-changelog-entry-reuses-existing-version"

 -- Hideki Yamane <henrich@debian.org>  Sun, 20 May 2018 16:22:54 +0900

naist-jdic (1:0.4.3-8) unstable; urgency=medium

  * debian/naist-jdic{,-utf8}.prerm
    - use rm -rf, not rm (Closes: #843212)
      Thanks to Matt Kraai <kraai@ftbfs.org> for the patch.
  * debian/watch
    - deal with upstream's change
    - use VERSION=4
  * debian/control
    - update Homepage:
    - use Debhelper (>= 10) to use not deprecated version
    - set Standards-Version: 3.9.8
  * debian/compat
    - set 10
  * debian/rules
    - simplify it
    - use "--no-parallel" option to aviod FTBFS

 -- Hideki Yamane <henrich@debian.org>  Sun, 29 Jan 2017 13:13:33 +0900

naist-jdic (1:0.4.3-7) unstable; urgency=medium

  * debian/copyright
    - update Source to https://osdn.jp/projects/naist-jdic/ 

 -- Hideki Yamane <henrich@debian.org>  Sun, 13 Dec 2015 15:55:48 +0900

naist-jdic (1:0.4.3-6) unstable; urgency=medium

  * debian/control
    - update Vcs-* 
    - update Homepage
  * update debian/watch

 -- Hideki Yamane <henrich@debian.org>  Mon, 07 Dec 2015 21:01:33 +0900

naist-jdic (1:0.4.3-5) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 3.9.6
    - update Vcs-Browser

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Jan 2015 19:21:57 +0900

naist-jdic (1:0.4.3-4) unstable; urgency=low

  * debian/control
    - set Maintainer as pkg-nlp-ja-devel
    - set Standards-Version: 3.9.4
    - add Vcs-* field 

 -- Hideki Yamane <henrich@debian.org>  Tue, 11 Jun 2013 16:35:55 +0900

naist-jdic (1:0.4.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/naist-jdic{,-utf8}.postinst
    - deal with path changes with MultiArch (Closes: #679195)
    - Don't use dpkg-architecture. Use chasen-config instead. 

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 10 Jul 2012 06:10:00 +0900

naist-jdic (1:0.4.3-3) unstable; urgency=low

  * debian/naist-jdic{,-utf8}.postinst
    - deal with path changes with MultiArch (Closes: #679195)
      Thanks to Andreas Beckmann <debian@abeckmann.de> 
  * debian/control
    - Depends: chansen-dictutils (>= 2.4.5-4)

 -- Hideki Yamane <henrich@debian.org>  Wed, 27 Jun 2012 16:32:55 +0900

naist-jdic (1:0.4.3-2) unstable; urgency=low

  * debian/control
    - add "Pre-Depends: dpkg (>= 1.15.6~)"
  * debian/copyright
    - update to "Machine-readable debian/copyright file 1.0"

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Jun 2012 13:06:46 +0900

naist-jdic (1:0.4.3-1) unstable; urgency=low

  * repack upstream tarball with xz, use epoch for version
  * debian/README.source
    - not necessary anymore, remove it.
  * debian/patches
    - convert chasenrc.in to quilt
  * debian/source/format
    - set "3.0 (quilt)"
  * debian/rules
    - update to dh7 style
    - compress with xz
  * debian/naist-jdic.install
    - move copy target files from debian/rules
  * debian/docs
    - update
  * debian/control
    - drop dpatch from Build-Depends
    - set "Standards-Version: 3.9.3"

 -- Hideki Yamane <henrich@debian.org>  Fri, 01 Jun 2012 09:14:14 +0900

naist-jdic (0.4.3-17) unstable; urgency=low

  * debian/copyright
    - fix "obsolete-field-in-dep5-copyright" lintian warning
  * debian/rules
    - fix "debian-rules-missing-recommended-target" lintian warning
  * debian/lintian/naist-jdic-utf8
    - override "naist-jdic-utf8: empty-binary-package"

 -- Hideki Yamane <henrich@debian.org>  Sat, 17 Sep 2011 15:00:59 +0900

naist-jdic (0.4.3-16) unstable; urgency=low

  * debian/control
    - update Standards-Version: 3.9.2
    - remove DM-stuff 
  * debian/copyright
    - update it as DEP5 style

 -- Hideki Yamane <henrich@debian.org>  Sat, 11 Jun 2011 05:36:57 +0900

naist-jdic (0.4.3-15) unstable; urgency=low

  * debian/naist-jdic-utf8.postinst
    - fix "chasen fails, /var/lib/chasen/dic/debian/grammar.cha: No such
      file or directory", it caused by bashism. Thanks to Seven Machines 
      <sevenmachines@yahoo.co.uk> (Closes:#566087)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 23 Jan 2010 10:02:02 +0900

naist-jdic (0.4.3-14) unstable; urgency=low

  * debian/control:
    - add "Depends: ${misc:Depends}" to each package

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 31 Dec 2009 19:00:35 +0900

naist-jdic (0.4.3-13) unstable; urgency=low

  * debian/naist-jdic-utf8.postinst
    - add (ENCODE "u") to specify UTF-8 encoding (Closes: #557287)
      Thanks to Jim Breen <jimbreen@gmail.com>

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 28 Nov 2009 07:18:36 +0900

naist-jdic (0.4.3-12) unstable; urgency=low

  * debian/rules:
    - don't install matrix.cha and table.cha, those files are generated with
      postinst
  * debian/{naist-jdic,naist-jdic-utf8}.postrm
    - remove it
  * debian/{naist-jdic,naist-jdic-utf8}.prerm
    - move remove files handling from postrm scripts, now piuparts clean :)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 28 Sep 2009 09:47:29 +0900

naist-jdic (0.4.3-11) unstable; urgency=low

  * debian/naist-jdic-utf8.postrm: 
    - add it to remove /usr/share/chasen/dic/naist-jdic-utf8/chadic.* files,
      as well as debian/naist-jdic.postrm
  * debian/watch:
    - modify it with upstream's URL change

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 19 Sep 2009 22:16:25 +0900

naist-jdic (0.4.3-10) unstable; urgency=low

  * debian/naist-jdic.postrm:
    - remove chasenrc symlink 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 18 Sep 2009 08:31:39 +0900

naist-jdic (0.4.3-9) unstable; urgency=low

  * debian/naist-jdic.postrm:
    - add it to remove /usr/share/chasen/dic/naist-jdic/chadic.* files 
  * debian/README.source:
    - add it to fix "patch-system-but-no-source-readme" 
  * debian/control:
    - Bump up Standards-Version: 3.8.3 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 31 Aug 2009 08:09:52 +0900

naist-jdic (0.4.3-8) unstable; urgency=low

  * debian/watch: update it to deal with sourceforge.jp's change. 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 12 Jul 2009 01:26:49 +0900

naist-jdic (0.4.3-7) unstable; urgency=low

  * debian/control: 
    - remove "Conflicts: ipadic" and "Replaces: ipadic" by users request. 
  * Bump up Standards-Version: 3.8.2

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 29 Jun 2009 23:20:46 +0900

naist-jdic (0.4.3-6) unstable; urgency=low

  * debian/rules: Fix "FTBFS with version, like 0.4.3-5+pb1",
    just hack versioning scheme in rules (Closes: #518883)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 09 Mar 2009 19:03:15 +0900

naist-jdic (0.4.3-5) unstable; urgency=low

  * debian/copyright: fix "copyright-with-old-dh-make-debian-copyright"
  * debian/control:
    - fix "binary-control-field-duplicates-source"
    - fix "build-depends-without-arch-dep"

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 09 Mar 2009 19:01:23 +0900

naist-jdic (0.4.3-4) unstable; urgency=low

  * debian/{naist-jdic,naist-jdic-utf8}.preinst
    - really fix (Closes: #499855) 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 30 Sep 2008 09:14:31 +0900

naist-jdic (0.4.3-3) unstable; urgency=medium

  * debian/rules
    - remove unnecessary lines.
  * debian/{naist-jdic,naist-jdic-utf8}.preinst 
    - remove files (symlinks) before package is installed.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 29 Sep 2008 19:05:59 +0900

naist-jdic (0.4.3-2) unstable; urgency=low

  * debian/control
    - Build-Depends: chasen-dictutils (>= 2.4.3-2)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 08 Jul 2008 13:00:07 +0900

naist-jdic (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Really close ITP now (Closes: #466876).
  * change its build style, include upstream source as tar.gz
  * debian/watch
    - just download updated tarball.
  * debian/*.postinst,prerm
    - not mv files but add/remove symlink.
  * debian/*.preinst
    - remove unnecessary files if they exist
  * debian/control
    - Build-Depends: chasen-dictutils (>= 1:2.4.3), dpatch
      because it needs to fix chasenrc.
  * debian/patches
    - add chasenrc.in.dpatch

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 07 Jul 2008 22:02:38 +0900

naist-jdic (0.4.2-1) unstable; urgency=low

  * New upstream release 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 16 Jun 2008 23:25:19 +0900

naist-jdic (0.4.2~preview2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bump up Standards-Version: 3.8.0 with no change.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 09 Jun 2008 01:20:49 +0900

naist-jdic (0.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - remove unneeded "Build-Depends: chasen-dictutils"
    - add "Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>"

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 03 Jun 2008 00:00:27 +0900

naist-jdic (0.4.1~preview1-2) unstable; urgency=low

  * debian/watch
    - deal with sourceforge.jp's change.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 30 May 2008 12:46:27 +0900

naist-jdic (0.4.1~preview1-1) unstable; urgency=low

  * New upstream preview release 
  * debian/doc
    - upstream removed doc directory, so .tex file is also removed.
    - fix locations
  * debian/patches
    - removed
  * debian/control
    - not need Build-Depends: dpatch anymore.
  * debian/rules
    - revert to old style.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 17 May 2008 00:43:12 +0900

naist-jdic (0.4.0-1) unstable; urgency=low

  * New upstream release 
  * not build and include PDF, because it needs non-free cmap-adobe-japan1.
  * debian/control
    - add Build-Depends: dpatch, again. and remove dvipdfmx and ptex-bin.
  * debian/docs
    - add NAIST-jdic-ja.tex, not PDF file.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 03 May 2008 10:30:17 +0900

naist-jdic (0.4.0~preview2-1) unstable; urgency=low

  * New upstream release 
  * debian/control
    - remove Build-Depends: dpatch
  * debian/patches
    - fixed in upstream, remove it.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 29 Apr 2008 01:35:44 +0900

naist-jdic (0.4.0~preview1-1) unstable; urgency=low

  * New upstream release 
  * provide upstream source as tarball, because some files (Makefile,
    configure, etc...) would be modified at build.
  * debian/control
    - add "DM-Upload-Allowed: yes"
    - add "Build-Depends: chasen-dictutils, dvipdfmx, ptex-bin, autoconf, 
      automake, dpatch", because PDF would be generated with TeX source.
  * debian/rules
    - use "autoreconf -i" and build PDF

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 27 Apr 2008 01:35:18 +0900

naist-jdic (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Now we provide naist-jdic-utf8 package. It depends on naist-jdic.
    - naist-jdic  Provides: ipadic, chasen-dic
                  Replaces: ipadic
                  Conflicts: ipadic
      naist-jdic-utf8  Provides: chasen-dic
  * debian/{naist-jdic,naist-jdic-utf8}.{postinst,prerm}
    - put generated data to /var/lib/chasen/dic/naist-jdic,naist-jdic-utf8
    - use alternatives
  * debian/lintian/naist-jdic-utf8, debian/naist-jdic-utf8.install
    - avoid lintian warning. /usr/share/chasen/dic/naist-jdic-utf8 is empty in
     package, but it is needed at installation.
  * debian/rules
    - add dh_install

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 06 Apr 2008 09:29:04 +0900

naist-jdic (0.3.0~preview1-2) unstable; urgency=low

  * debian/control
    - Now this package is "arch: all" and generates dictionary data with
    package installation, not provide compiled data.
    - Provides: chasen-dic
      Replaces: ipadic, chasen-cannadic
      Conflicts: ipadic, chasen-cannadic
  * debian/rules, debian/postinst, debian/prerm
    - apply changes to fit above.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 12 Mar 2008 15:05:25 +0900

naist-jdic (0.3.0~preview1-1) unstable; urgency=low

  * New upstream release
  * debian/doc
    - remove doc/ipadic-2.7.0-chn-utf8.pdf

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 12 Mar 2008 15:05:19 +0900

naist-jdic (0.2.0~preview1-1) unstable; urgency=low

  * Initial release

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 20 Feb 2008 18:59:24 +0900
